---------------------
PatchSet 5199 
Date: 2002/10/03 01:04:29
Author: rbcollins
Branch: rbcollins_cxxtest
Tag: (none) 
Log:
current state

Members: 
	.cvsignore:1.1->1.1.84.1 
	acinclude.m4:1.4->1.4.14.1 
	configure.in:1.70->1.70.2.1 
	include/Array.h:1.6->1.6.44.1 
	include/MemPool.h:1.2->1.2.32.1 
	include/Stack.h:1.5->1.5.44.1 
	include/config.h:1.5->1.5.52.1 
	include/hash.h:1.4->1.4.44.1 
	include/rfc2617.h:1.4->1.4.44.1 
	include/util.h:1.11->1.11.20.1 
	lib/Array.c:1.5->1.5.92.1 
	src/HttpRequest.c:1.7->1.7.64.1(DEAD) 
	src/HttpRequest.cc:1.1->1.1.2.1 
	src/IPInterception.c:1.4->1.4.6.1(DEAD) 
	src/IPInterception.cc:1.1->1.1.2.1 
	src/IPInterception.h:1.3->1.3.6.1 
	src/Makefile.am:1.29->1.29.2.1 
	src/access_log.c:1.19->1.19.2.1(DEAD) 
	src/access_log.cc:1.1->1.1.2.1 
	src/acl.c:1.60->1.60.2.1 
	src/auth_modules.sh:1.2->1.2.108.1 
	src/authenticate.c:1.27->1.27.2.1(DEAD) 
	src/authenticate.cc:1.1->1.1.2.1 
	src/authenticate.h:1.1->1.1.2.1 
	src/cache_cf.c:1.50->1.50.2.1(DEAD) 
	src/cache_cf.cc:1.1->1.1.2.1 
	src/cf.data.pre:1.83->1.83.2.1 
	src/client_side.c:1.76->1.76.2.1 
	src/client_side_reply.c:1.9->1.9.4.1 
	src/client_side_request.c:1.5->1.5.8.1 
	src/defines.h:1.25->1.25.6.1 
	src/enums.h:1.40->1.40.2.1 
	src/errorpage.c:1.23->1.23.6.1(DEAD) 
	src/errorpage.cc:1.1->1.1.2.1 
	src/external_acl.c:1.11->1.11.4.1 
	src/http.c:1.25->1.25.2.1(DEAD) 
	src/http.cc:1.1->1.1.2.1 
	src/logfile.c:1.7->1.7.14.1(DEAD) 
	src/logfile.cc:1.1->1.1.2.1 
	src/main.c:1.37->1.37.2.1(DEAD) 
	src/main.cc:1.1->1.1.2.1 
	src/mem.c:1.21->1.21.6.1 
	src/protos.h:1.63->1.63.2.1 
	src/redirect.c:1.10->1.10.14.1(DEAD) 
	src/redirect.cc:1.1->1.1.2.1 
	src/structs.h:1.70->1.70.2.1 
	src/typedefs.h:1.29->1.29.2.1 
	src/auth/Makefile.am:1.2->1.2.72.1 
	src/auth/basic/auth_basic.c:1.20->1.20.10.1(DEAD) 
	src/auth/basic/auth_basic.cc:1.1->1.1.2.1 
	src/auth/basic/auth_basic.h:1.4->1.4.44.1 
	src/auth/digest/auth_digest.c:1.16->1.16.14.1(DEAD) 
	src/auth/digest/auth_digest.cc:1.1->1.1.2.1 
	src/auth/digest/auth_digest.h:1.7->1.7.28.1 
	src/auth/ntlm/auth_ntlm.c:1.22->1.22.10.1(DEAD) 
	src/auth/ntlm/auth_ntlm.cc:1.1->1.1.2.1 
	src/auth/ntlm/auth_ntlm.h:1.8->1.8.40.1 

Index: squid/.cvsignore
===================================================================
RCS file: /cvsroot/squid-sf//squid/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.1.84.1
diff -u -r1.1 -r1.1.84.1
--- squid/.cvsignore	10 Oct 2001 22:19:49 -0000	1.1
+++ squid/.cvsignore	3 Oct 2002 01:04:29 -0000	1.1.84.1
@@ -5,3 +5,4 @@
 aclocal.m4
 configure
 merge.log
+autom4te.cache
Index: squid/acinclude.m4
===================================================================
RCS file: /cvsroot/squid-sf//squid/acinclude.m4,v
retrieving revision 1.4
retrieving revision 1.4.14.1
diff -u -r1.4 -r1.4.14.1
--- squid/acinclude.m4	17 Jun 2002 21:02:55 -0000	1.4
+++ squid/acinclude.m4	3 Oct 2002 01:04:29 -0000	1.4.14.1
@@ -1,64 +1,14 @@
-dnl AC_CHECK_SIZEOF_SYSTYPE is as the standard AC_CHECK_SIZEOF macro
-dnl but also capable of checking the size of system defined types, not
-dnl only compiler defined types.
-dnl
-dnl AC_CHECK_SYSTYPE is the same thing but replacing AC_CHECK_TYPE
-dnl However AC_CHECK_TYPE is not by far as limited as AC_CHECK_SIZEOF
-dnl (it at least makes use of <sys/types.h>, <stddef.h> and <stdlib.h>)
-
-dnl AC_CHECK_SIZEOF_SYSTYPE(TYPE [, CROSS-SIZE])
-AC_DEFUN(AC_CHECK_SIZEOF_SYSTYPE,
-[changequote(<<, >>)dnl
-dnl The name to #define.
-define(<<AC_TYPE_NAME>>, translit(sizeof_$1, [a-z *], [A-Z_P]))dnl
-dnl The cache variable name.
-define(<<AC_CV_NAME>>, translit(ac_cv_sizeof_$1, [ *], [_p]))dnl
-changequote([, ])dnl
-AC_MSG_CHECKING(size of $1)
-AC_CACHE_VAL(AC_CV_NAME,
-[AC_TRY_RUN([
-#include <stdio.h>
-#if STDC_HEADERS
-#include <stdlib.h>
-#include <stddef.h>
-#endif
-#if HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-#if HAVE_SYS_TYPES_H
-#include <sys/types.h>
-#endif
-#if HAVE_SYS_BITYPES_H
-#include <sys/bitypes.h>
-#endif
-int main()
-{
-  FILE *f=fopen("conftestval", "w");
-  if (!f) return(1);
-  fprintf(f, "%d\n", sizeof($1));
-  return(0);
-}
-], AC_CV_NAME=`cat conftestval`, AC_CV_NAME=0, ifelse([$2], , , AC_CV_NAME=$2))])dnl
-AC_MSG_RESULT($AC_CV_NAME)
-AC_DEFINE_UNQUOTED(AC_TYPE_NAME, $AC_CV_NAME)
-undefine([AC_TYPE_NAME])dnl
-undefine([AC_CV_NAME])dnl
-])
-
-dnl AC_CHECK_SYSTYPE(TYPE, DEFAULT)
-AC_DEFUN(AC_CHECK_SYSTYPE,
-[AC_REQUIRE([AC_HEADER_STDC])dnl
-AC_MSG_CHECKING(for $1)
-AC_CACHE_VAL(ac_cv_type_$1,
-[AC_EGREP_CPP(dnl
-changequote(<<,>>)dnl
-<<(^|[^a-zA-Z_0-9])$1[^a-zA-Z_0-9]>>dnl
-changequote([,]), [
+dnl This encapsulates the nasty mess of headers we need to check when 
+dnl checking types.
+AC_DEFUN(SQUID_DEFAULT_INCLUDES,[[
 /* What a mess.. many systems have added the (now standard) bit types
  * in their own ways, so we need to scan a wide variety of headers to
  * find them..
+ * IMPORTANT: Keep include/squid_types.h syncronised with this list
  */
+#if HAVE_SYS_TYPES_H
 #include <sys/types.h>
+#endif  
 #if STDC_HEADERS
 #include <stdlib.h>
 #include <stddef.h>
@@ -66,16 +16,13 @@
 #if HAVE_INTTYPES_H
 #include <inttypes.h>
 #endif
-#if HAVE_SYS_TYPES_H
-#include <sys/types.h>
-#endif
 #if HAVE_SYS_BITYPES_H
 #include <sys/bitypes.h>
 #endif
-], ac_cv_type_$1=yes, ac_cv_type_$1=no)])dnl
-AC_MSG_RESULT($ac_cv_type_$1)
-if test $ac_cv_type_$1 = no; then
-  AC_DEFINE($1, $2)
-fi
-])
+]])     
 
+dnl and this is for AC_CHECK_SIZEOF
+AC_DEFUN(SQUID_DEFAULT_SIZEOF_INCLUDES,[
+#include <stdio.h>
+SQUID_DEFAULT_INCLUDES
+])
